### A free/open-source library for quantitative finance

Public Member Functions
FaceValueAccrualClaim Class Reference

Claim on the notional of a reference security, including accrual. More...

`#include <ql/instruments/claim.hpp>`

Inheritance diagram for FaceValueAccrualClaim:
[legend]

List of all members.

## Public Member Functions

| FaceValueAccrualClaim (const boost::shared_ptr< Bond > &referenceSecurity)
Real | amount (const Date &d, Real notional, Real recoveryRate) const

## Detailed Description

Claim on the notional of a reference security, including accrual.